Skip to main content

Servers Configuration Projects API

Content​

Server Configurations collection:

Single Server Configuration:

Server Configurations public collection:

Server Configuration Projects Collection

Get List of Server Configuration Projects​

GET /api/v0/server-configuration-projects

This method needs permission read on servers-configuration-projects.

Request​

Index behaviourDefinition
Paginated by defaultNo
Sortingname
Filtersname:string
GET /api/v0/server-configuration-projects
Content-Type: application/json

Responses​

200 OK​

GET /api/v0/server-configuration-projects HTTP/1.1
Content-Type: application/json
Status-Code: 200
{
"items": [
{
"id": 1,
"name": "Test",
"created_at": "2024-06-17T12:48:09+0200",
"updated_at": "2024-06-17T12:48:09+0200",
"_links": [
{
"href": "/api/v0/server-configuration-projects/1",
"rel": "self",
"type": "GET"
}
]
}
]
}

Create Server Configuration Project​

POST /api/v0/server-configuration-projects

This method requires create on server-configuration-projects.

Request​

ParamTypeDescriptionRequirements
namestringNameRequired. Must be a string.
POST /api/v0/server-configuration-projects HTTP/1.1
Content-Type: application/json

{
"name": "Test",

}

Responses​

201 CREATED​

Successfully created.

422 UNPROCESSABLE ENTITY​

Validation error.



Single project

Show Server Configuration Project​

GET /api/v0/server-configuration-projects/{serverConfigurationProjectId}

Request​

This method requires read on server-configuration-projects.

Responses​

204 NO CONTENT​

Successfully deleted.

404 NOT FOUND​

Server Configuration Project with that id was not found.


Update Server Configuration Project​

PATCH /api/v0/server-configuration-projects/{serverConfigurationProjectId}

This method requires update on server-configuration-projects.

Request​

Only name field can be updated.

Responses​

200 OK​

Updated.

404 NOT FOUND​

Server Configuration Project with this ID does not exist.


Delete Server Configuration Project​

DELETE /api/v0/server-configuration-projects/{serverConfigurationProjectId}

This method requires delete on server-configuration-projects.

Request​

DELETE /api/v0/server-configuration-projects/1 HTTP/1.1

Responses​

204 NO CONTENT​

Successfully deleted.

404 NOT FOUND​

Server Configuration Project with that id was not found.